BUILDTOOL(1)

NAME
buildtool - build macOS projects that use xcode

SYNOPSIS
buildtool [clean|generate [makefile|cmake|projectbuilder|projectcenter] |build] [filename]

DESCRIPTION
The buildtool command allows you to build a project that was originally created with Xcode on macOS.

You can specify the project name if you need to (for example, if there are several .xcodeproj files in one directory) if you don't it will use the first one it finds and build with that. filenames The filename for the .xcodeproj is assumed to be in the current working directory.

By default, buildtool will open filename in the current working directory or, if no filename is specified, will build using the first one it finds.

OPTIONS

build
    build the .xcodeproj file in the current directory filename if optionally specified

clean
    clean the current project directory

generate
    generate one of the following... cmake, makefile, projectbuilder, projectcenter types of files. if none is specified it will assume you are trying to generate a makefile.

EXAMPLES
Build the project in the current working directory

buildtool

buildtool build

buildtool build filename.xcodeproj

To clean the project directory

buildtool clean

To generate a gnumakefile, cmake, etc...

buildtool generate

You can optionally use any of the types mentioned above after the generate option.

BUGS
buildtool can currently open most project types. If you find any that it can't handle or get any build errors that are specific to buildtool, then please submit bugs to the tracker on github for libs-xcode.

HISTORY
buildtool was written in September of 2012 and is regularly updated.

This manual page was first written in June 2023

AUTHORS
buildtool was written by Gregory Casamento <greg.casamento@gmail.com>.

This man page was written by Gregory Casamento <greg.casamento@gmail.com>